/*
 * Created on 2005-04-05
 *
 * Part of the Symbian development plug-in for Eclipse
 * Copyright (C) Mikołaj Zalewski, 2005
 */
package pl.zalewski.mikolaj.symbdev.core.mmpmodel;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IPath;
import org.eclipse.swt.widgets.Listener;

/**
 * A MMP element that contains bitmaps - used by MBMs and AIF
 * 
 * @author mikolaj
 */
public interface IMMPBitmapContainer {
    public void addBitmap(IPath file, String depth) throws CoreException;
    public MMPBitmapReference[] getBitmaps();
    public void removeBitmap(int pos) throws CoreException;
    public void moveBitmapUp(int pos) throws CoreException;
    public void moveBitmapDown(int pos) throws CoreException;
    public void setBitmapDepth(int pos, String newDepth) throws CoreException;
    public void addChangeListener(Listener l);
    public void removeChangeListener(Listener l);
    public boolean isConnected();
}
